#include <os/File.h>
#include <ui/App.h>
#include <ui/Color.h>
#include <ui/Window.h>

Result<void> handle_ipc_client_event(os::LocalClient&, u8)
{
    todo();
}

Result<int> luna_main(int argc, char** argv)
{
    ui::App app;
    TRY(app.init(argc, argv));

    auto window = TRY(ui::Window::create(ui::Rect { 200, 200, 400, 300 }));
    os::println("gclient: Created new window!");

    window->set_title("Example Window");
    window->canvas().fill(ui::CYAN);
    window->update();

    return app.run();
}
